
Core - Task # 57499

Status: Resolved Priority: Should have
Author: Georg Ringer Category:
Created: 2014-04-01 Assigned To:
Updated: 2014-04-07 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Improve deprecation message of GeneralUtitlity::array_merge_recursive_overrule()
Description

The deprecation message should show more clearly that the code can't be just updated by changing class + method name as there is
no return value anymore. This is new in the core and is a quite big risk!

Related issues:
related to Core - Task # 54251: GeneralUtility::array_merge_recursive_overrul... Resolved 2013-12-06

Associated revisions
Revision ae220dcd - 2014-04-06 21:45 - Georg Ringer

[TASK] Improve deprecation msg of GeneralUtility method

The deprecation message of GeneralUtility::array_merge_recursive_overrule
should show more clearly that the code can't be just updated by
changing class + method name as there is no return value anymore.

This is new in the core and is a quite big risk!

Resolves: #57499
Releases: 6.2
Change-Id: I109a0c3edbc241708e7b362a249b6d0e4a79978e
Reviewed-on: https://review.typo3.org/29035
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-04-01 17:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29035

#2 - 2014-04-06 01:23 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29035

#3 - 2014-04-06 22:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae220dcd2cd4c84578752933a1955d45e82694e7.

#4 - 2014-04-07 10:45 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Teams/Security/TYPO3v4-Core has been pushed to the review server.
It is available at https://review.typo3.org/29229

#5 - 2014-04-07 10:46 - Helmut Hummel
- Status changed from Under Review to Resolved
